Skip to main content
PUT
/
virtual_tag_configs
/
{token}
Update virtual tag config
curl --request PUT \
  --url https://api.vantage.sh/v2/virtual_tag_configs/{token} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "overridable": true,
  "backfill_until": "2023-12-25",
  "collapsed_tag_keys": [
    {
      "key": "<string>",
      "providers": [
        "<string>"
      ],
      "filter": "<string>"
    }
  ],
  "values": [
    {
      "filter": "<string>",
      "name": "<string>",
      "business_metric_token": "<string>",
      "display_name": "<string>",
      "label_transforms": [
        {
          "type": "<string>",
          "delimiter": "<string>",
          "index": 123,
          "template": "<string>"
        }
      ],
      "percentages": [
        {
          "value": "<string>",
          "pct": 123
        }
      ],
      "date_ranges": [
        {
          "start_date": "<string>",
          "end_date": "<string>"
        }
      ]
    }
  ]
}
'
{
  "token": "vtag_4430add8b8552a32",
  "created_by_token": "usr_c3dedc15ebe12e03",
  "key": "team",
  "overridable": true,
  "backfill_until": "2024-07-01",
  "values": [
    {
      "filter": "costs.provider = 'aws' AND costs.service = 'Amazon Elastic Compute Cloud' AND\ncosts.account_id IN ('1234', '5678')\n",
      "name": "marketing",
      "date_ranges": [
        {
          "start_date": "2024-01-01",
          "end_date": "2024-12-31"
        }
      ]
    },
    {
      "filter": "((costs.provider = 'aws' AND costs.account_id IN ('1234', '5678')) OR\n(costs.provider = 'gcp' AND costs.service = 'Google Compute Engine'))\n",
      "name": "third-party integrations"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

token
string
required

Body

application/json

Updates an existing VirtualTagConfig.

key
string

The key of the VirtualTagConfig.

overridable
boolean | null

Whether the VirtualTagConfig can override a provider-supplied tag on a matching Cost.

backfill_until
string<date> | null

The earliest month the VirtualTagConfig should be backfilled to.

collapsed_tag_keys
object[]

Tag keys to collapse values for.

values
object[]

Values for the VirtualTagConfig, with match precedence determined by order in the list.

Response

VirtualTagConfig model

token
string
required

The token of the VirtualTagConfig.

Example:

"vtag_1234"

created_by_token
string | null
required

The token of the Creator of the VirtualTagConfig.

Example:

"usr_1234"

key
string
required

The key of the VirtualTagConfig.

Example:

"Cost Center"

overridable
boolean
required

Whether the VirtualTagConfig can override a provider-supplied tag on a matching Cost.

backfill_until
string
required

The earliest month VirtualTagConfig should be backfilled to.

Example:

"2025-11-01"

values
object[]
required

Values for the VirtualTagConfig, with match precedence determined by their relative order in the list.

collapsed_tag_keys
object[]

Tag keys to collapse values for.